Bug 141582 - control reaches end of non-void function
control reaches end of non-void function
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 05:20 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 12:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-02 05:20:16 EST
Description of problem:

I just tried to compile package vnc-4.0-8 from 
Redhat Fedora Core 3.

The compiler said

1.

Oid.c:2117: warning: control reaches end of non-void function

The source code is

const char* XpOidNotifyString(XpOidNotify notify)
{
    switch(notify)
    {
    case XPOID_NOTIFY_UNSUPPORTED:
        return (const char*)NULL;
        break;
    case XPOID_NOTIFY_NONE:
        return NOTIFY_NONE_STR;
        break;
    case XPOID_NOTIFY_EMAIL:
        return NOTIFY_EMAIL_STR;
        break;
    }
}

When notify is not one of the expected values, rubbish is silently
returned to the caller. Suggest add code to deal with this case.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2004-12-02 05:36:09 EST
Corresponding xorg-x11 package is xorg-x11-6.8.1-4.
Comment 2 Mike A. Harris 2004-12-02 13:40:00 EST
Please report any/all compile time related problems that occur
via recompilation directly to X.Org, using the X.Org bugzilla
located at http://bugs.freedesktop.org

Once you have filed your bug report there, you can paste the URL
here if you like, and Red Hat will track the issue in the upstream
bugzilla.

Setting bug to "NEEDINFO" state, awaiting upstream bug report URL.

Thanks in advance.
Comment 3 David Binderman 2004-12-02 14:55:54 EST
>Please report any/all compile time related problems that occur
>via recompilation directly to X.Org, 

I would if there was any point to doing so.

They haven't bothered replying to the last half dozen bug 
reports I've sent them.

Which is why I sent it to you.

This free software is all very well, but if no one gets off their
bum to fix the more obvious bugs, then there isn't much 
point reporting them.
Comment 4 Mike A. Harris 2004-12-03 12:06:49 EST
X.Org is a volunteer driven effort.  The majority of compile-warning
type of problems that I've seen reported in both our bugzilla and
X.Org bugzilla, are very trivial issues, many of which turn out
to be red herrings after 10-30 minutes of time is spent investigating
them.

All of these types of issues are X.Org development issues, unless
there are specific known SEGVs, proven security issues, or other
major failure cases proven to exist in a given bug report.  In
lieu of such failure cases, such issues are very low priority in
nature, and are the type of problems best suited to be handled
by a "X Janitors" type of project.  There used to be such a
project, but it seems to have died out.

Perhaps it is a good time for someone sufficiently motivated
to rekindle public interest in an X Janitors project of sorts.

Alternatively, when filing such bug reports upstream, if they are
accompanied by patches to fix the reported issues, they'll
generally be applied to X.Org CVS right away.

We do not generally investigate trivial issues of this nature
directly, as there are a great deal of much more serious crasher
type bug reports in our bugzilla, so users are strongly
recommended to file such reports directly to X.Org, and to discuss
the problems they find on the X.Org mailing lists.

I'm closing this as "WONTFIX" for now, but if you do decide
to report it upstream, and you include the URL here, we will
track it along with all other upstream bug reports we're
tracking.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.